SoCounter(3)

NAME
SoCounter - The SoCounter class is an integer counter engine.

SYNOPSIS

#include <Inventor/engines/SoCounter.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoCounter (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFShort min
SoSFShort max
SoSFShort step
SoSFTrigger trigger
SoSFShort reset
SoEngineOutput output
SoEngineOutput syncOut

  Protected Member Functions
virtual ~SoCounter (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoCounter class is an integer counter engine. The engine counts from its min value to its max value, adding the value of step each time trigger is touched.

SoCounter provides a convenient way of keeping track of the number of times some event in your application is triggered.

Constructor & Destructor Documentation

  SoCounter::SoCounter (void)
Default constructor.

  SoCounter::~SoCounter (void) [protected], [virtual]
Destructor.

Protected, as engines are not supposed to be explicitly deleted, but rather take care of their own destiny by monitoring their reference count.

Member Function Documentation

  SoType SoCounter::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoCounter::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoCounter::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoCounter::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoCounter::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoCounter::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoCounter::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoSFShort SoCounter::min
Minimum value for counter.

  SoSFShort SoCounter::max
Maximum value for counter.

  SoSFShort SoCounter::step
Counter step value.

  SoSFTrigger SoCounter::trigger
Increment counter (using step).

  SoSFShort SoCounter::reset
Reset counter to this value. The value will be clamped between min and max, and step will be accounted for.

  SoEngineOutput SoCounter::output
(SoSFShort) Output which contains the current counter value.

  SoEngineOutput SoCounter::syncOut
(SoSFTrigger) Triggers every time counter restarts at SoCounter::min.

Author

Generated automatically by Doxygen for Coin from the source code.